View Issue Details

IDProjectCategoryView StatusLast Update
0016229LazarusIDEpublic2010-04-18 10:15
ReporterAlexander S. Klenin Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0016229: CodeTools: Auto-indent does not work for the last line of procedure
DescriptionSeems a recent regression.
Steps To Reproduce1) Enter code:
procedure P;
begin
~~x;|
end;

where ~ denotes space, I -- cursor position

2) press enter
=>
cursor will move to the first char of the inserted line
without expected indentation.
TagsNo tags attached.
Fixed in Revision24476
LazTarget0.9.30
Widgetset
Attached Files

Activities

Mattias Gaertner

2010-04-17 18:17

manager   ~0036765

The codebuffer is not updated from synedit.
Maybe the TimeChangeStamp in SynEdit is not increased properly.

Martin Friebe

2010-04-18 00:02

manager   ~0036771

please test and close if ok

Alexander S. Klenin

2010-04-18 10:15

developer   ~0036777

thanks

Issue History

Date Modified Username Field Change
2010-04-08 16:28 Alexander S. Klenin New Issue
2010-04-08 16:28 Alexander S. Klenin LazTarget => -
2010-04-17 18:17 Mattias Gaertner Note Added: 0036765
2010-04-17 18:17 Mattias Gaertner Status new => assigned
2010-04-17 18:17 Mattias Gaertner Assigned To => Martin Friebe
2010-04-17 18:17 Mattias Gaertner Status assigned => confirmed
2010-04-18 00:02 Martin Friebe Fixed in Revision => 24476
2010-04-18 00:02 Martin Friebe LazTarget - => 0.9.30
2010-04-18 00:02 Martin Friebe Status confirmed => resolved
2010-04-18 00:02 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-04-18 00:02 Martin Friebe Resolution open => fixed
2010-04-18 00:02 Martin Friebe Note Added: 0036771
2010-04-18 00:03 Martin Friebe Target Version => 0.9.30
2010-04-18 10:15 Alexander S. Klenin Status resolved => closed
2010-04-18 10:15 Alexander S. Klenin Note Added: 0036777